[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Pi

Return the value of PI.

## Declaration

Source position: mathh.inc line 105

`function Pi: ValReal;`

## Description

Pi returns the value of Pi (3.1415926535897932385).

## Errors

None.

## See also

Cos |  | Calculate cosine of angle
Sin |  | Calculate sine of angle

## Example

    Program Example47;

    { Program to demonstrate the Pi function. }

    begin
      Writeln (Pi);         {3.1415926}
      Writeln (Sin(Pi));
    end.